

XLog = Rock:NewAddon("XLog", "LibRockDB-1.0", "LibRockModuleCore-1.0", "LibRockEvent-1.0", "LibRockHook-1.0", "LibRockConfig-1.0", "LibRockConsole-1.0")
local XLog, self = XLog, XLog

local newList = Rock:GetRecyclingFunctions("XLog", "newList")

XLog:SetDatabase("XLogDB")
XLog:SetDatabaseDefaults('profile', {})

function XLog:OnInitialize()
  self:SetConfigSlashCommand("/XLog", "/xl")
  --self:Print("XLog loaded.")

end

function XLog:GetColor(colorTree)
  if colorTree["R"] then
    return colorTree["R"], colorTree["G"], colorTree["B"]
  else
    return colorTree[1], colorTree[2], colorTree[3]
  end
end

------------------
-- base options

local addedOptions = {}
function XLog:AddOption(key, table)
  --self:Print(key)
	addedOptions[key] = table
end

XLog.options = {
	name = "XLog",
	desc = "XLog description.",
	type = 'group',
	icon = [[Interface\Icons\Ability_DualWield]],
	args = addedOptions
}

XLog:SetConfigTable(XLog.options)